org.eclipse.jetty.server.session

## Class JDBCSessionManager.SessionData

- java.lang.Object
- - org.eclipse.jetty.server.session.JDBCSessionManager.SessionData

- Enclosing class:
    JDBCSessionManager

      public class JDBCSessionManager.SessionData
      extends java.lang.Object

  SessionData Persistable data about a session.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDBCSessionManager.SessionData(java.lang.String sessionId)`
    `JDBCSessionManager.SessionData(java.lang.String sessionId, java.util.Map<java.lang.String,java.lang.Object> attributes)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getAccessed()`
    `protected java.util.Map<java.lang.String,java.lang.Object>` | `getAttributeMap()`
    `java.lang.String` | `getCanonicalContext()`
    `long` | `getCookieSet()`
    `long` | `getCreated()`
    `long` | `getExpiryTime()`
    `java.lang.String` | `getId()`
    `long` | `getLastAccessed()`
    `java.lang.String` | `getLastNode()`
    `long` | `getLastSaved()`
    `long` | `getMaxIdleMs()`
    `protected java.lang.String` | `getRowId()`
    `java.lang.String` | `getVirtualHost()`
    `protected void` | `setAccessed(long ms)`
    `protected void` | `setAttributeMap(java.util.Map<java.lang.String,java.lang.Object> map)`
    `void` | `setCanonicalContext(java.lang.String str)`
    `void` | `setCookieSet(long ms)`
    `protected void` | `setCreated(long ms)`
    `void` | `setExpiryTime(long time)`
    `void` | `setLastAccessed(long ms)`
    `void` | `setLastNode(java.lang.String node)`
    `void` | `setLastSaved(long time)`
    `void` | `setMaxIdleMs(long ms)`
    `void` | `setRowId(java.lang.String rowId)`
    `void` | `setVirtualHost(java.lang.String vhost)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JDBCSessionManager.SessionData

          public JDBCSessionManager.SessionData(java.lang.String sessionId)

    - #### JDBCSessionManager.SessionData

          public JDBCSessionManager.SessionData(java.lang.String sessionId,
                                        java.util.Map<java.lang.String,java.lang.Object> attributes)

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

    - #### getCreated

          public long getCreated()

    - #### setCreated

          protected void setCreated(long ms)

    - #### getAccessed

          public long getAccessed()

    - #### setAccessed

          protected void setAccessed(long ms)

    - #### setMaxIdleMs

          public void setMaxIdleMs(long ms)

    - #### getMaxIdleMs

          public long getMaxIdleMs()

    - #### setLastAccessed

          public void setLastAccessed(long ms)

    - #### getLastAccessed

          public long getLastAccessed()

    - #### setCookieSet

          public void setCookieSet(long ms)

    - #### getCookieSet

          public long getCookieSet()

    - #### setRowId

          public void setRowId(java.lang.String rowId)

    - #### getRowId

          protected java.lang.String getRowId()

    - #### getAttributeMap

          protected java.util.Map<java.lang.String,java.lang.Object> getAttributeMap()

    - #### setAttributeMap

          protected void setAttributeMap(java.util.Map<java.lang.String,java.lang.Object> map)

    - #### setLastNode

          public void setLastNode(java.lang.String node)

    - #### getLastNode

          public java.lang.String getLastNode()

    - #### setCanonicalContext

          public void setCanonicalContext(java.lang.String str)

    - #### getCanonicalContext

          public java.lang.String getCanonicalContext()

    - #### getLastSaved

          public long getLastSaved()

    - #### setLastSaved

          public void setLastSaved(long time)

    - #### setExpiryTime

          public void setExpiryTime(long time)

    - #### getExpiryTime

          public long getExpiryTime()

    - #### setVirtualHost

          public void setVirtualHost(java.lang.String vhost)

    - #### getVirtualHost

          public java.lang.String getVirtualHost()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2013 FuseSource, Corp.. All Rights Reserved.